import * as React from "react";
import { PureComponent, CSSProperties } from "react";
import { CheckboxProps } from "@material-ui/core/Checkbox";
import { CommonWidgetProps } from "../utils";
export declare type InputCheckProps = {
    text: string;
    onChange?: (checked: boolean) => void;
    labelStyle?: CSSProperties;
} & CheckboxProps & CommonWidgetProps<HTMLInputElement>;
export declare class InputCheck extends PureComponent<InputCheckProps, {}> {
    static defaultProps: Partial<InputCheckProps>;
    render(): JSX.Element;
    renderInput(): JSX.Element;
    handleChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
}
